<?php
/**
 * @filesource: evironments.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   setting environments for use of php-helper class for rgraph charts package
 */

$file = str_replace ('\\', '/',  dirname(__DIR__) );
$parts = explode("/", $file);
$dir = "/" . $parts[count($parts)-2];

// php-Rgraph library
$lib =  dirname(__FILE__) . '/lib/rgraph_chart.php';
if (!file_exists($lib))
 die ("<b>Error: </b>$lib not found");
require_once ($lib);

// url for RGraphs's javascript library
$protocol = isset($_SERVER["HTTPS"]) ? 'https://' : 'http://';
$rgraph_libraries = $protocol . $_SERVER['HTTP_HOST'] . $dir . "/jsweather/phpRGraph/libraries/";

?>
