<?php
/**
 * @Copyright
 *
 * @package    js_weather
 * @author     Joachim Schmidt {@link http://www.jschmidt-systemberatung.de/}
 * @version    Version: 1.0.0 - March-2023
 * @desciption Application interface to provide openWeatherMap's weather data
 * @link       Project Site {@link http://www.jschmidt-systemberatung.de/}
 *
 * @license GNU/GPL
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * change activity:
 */

//include_once (dirname(__FILE__) . '/settings.php');
if  ($input->exists('lang'))
    $lang = $input->get('lang', 'en', 'STRING') ;
else
    $lang = "en";

$dir = JPATH_BASE . "/cache/js_weather";
$file1 = $dir . "/save_weatherdata." . $lang;
$file2 = $dir . "/save_weatherdata." . $lang ."1";

if (file_exists($file1))
    unlink($file1);
if (file_exists($file2))
    unlink($file2);
    
?>